| Version: 3.1.5

Classes | Enumerations | Variables
taskbar.h File Reference

## Classes
class | wxTaskBarIconEvent
| The event class used by wxTaskBarIcon. More...
class | wxTaskBarIcon
| This class represents a taskbar icon. More...

## Enumerations
enum | wxTaskBarIconType { wxTBI_DOCK , wxTBI_CUSTOM_STATUSITEM , wxTBI_DEFAULT_TYPE }
| On wxOSX/Cocoa the taskbar icon can be in the doc or in the status area. More...

## Variables
wxEventType | wxEVT_TASKBAR_MOVE
wxEventType | wxEVT_TASKBAR_LEFT_DOWN
wxEventType | wxEVT_TASKBAR_LEFT_UP
wxEventType | wxEVT_TASKBAR_RIGHT_DOWN
wxEventType | wxEVT_TASKBAR_RIGHT_UP
wxEventType | wxEVT_TASKBAR_LEFT_DCLICK
wxEventType | wxEVT_TASKBAR_RIGHT_DCLICK
wxEventType | wxEVT_TASKBAR_CLICK
wxEventType | wxEVT_TASKBAR_BALLOON_TIMEOUT
wxEventType | wxEVT_TASKBAR_BALLOON_CLICK

## Enumeration Type Documentation

## ◆ wxTaskBarIconType

enum wxTaskBarIconType

On wxOSX/Cocoa the taskbar icon can be in the doc or in the status area.

This enumeration can be used to select which will be instantiated.

Enumerator
wxTBI_DOCK |
wxTBI_CUSTOM_STATUSITEM |
wxTBI_DEFAULT_TYPE |

## Variable Documentation

## ◆ wxEVT_TASKBAR_BALLOON_CLICK

wxEventType wxEVT_TASKBAR_BALLOON_CLICK

## ◆ wxEVT_TASKBAR_BALLOON_TIMEOUT

wxEventType wxEVT_TASKBAR_BALLOON_TIMEOUT

## ◆ wxEVT_TASKBAR_CLICK

wxEventType wxEVT_TASKBAR_CLICK

## ◆ wxEVT_TASKBAR_LEFT_DCLICK

wxEventType wxEVT_TASKBAR_LEFT_DCLICK

## ◆ wxEVT_TASKBAR_LEFT_DOWN

wxEventType wxEVT_TASKBAR_LEFT_DOWN

## ◆ wxEVT_TASKBAR_LEFT_UP

wxEventType wxEVT_TASKBAR_LEFT_UP

## ◆ wxEVT_TASKBAR_MOVE

wxEventType wxEVT_TASKBAR_MOVE

## ◆ wxEVT_TASKBAR_RIGHT_DCLICK

wxEventType wxEVT_TASKBAR_RIGHT_DCLICK

## ◆ wxEVT_TASKBAR_RIGHT_DOWN

wxEventType wxEVT_TASKBAR_RIGHT_DOWN

## ◆ wxEVT_TASKBAR_RIGHT_UP

wxEventType wxEVT_TASKBAR_RIGHT_UP